﻿namespace domain.Models
{
    // Представляет локальную сущность пользователя.
    public class UserLocalEntity : IEquatable<UserLocalEntity>
    {
        // Уникальный идентификатор пользователя.
        public Guid Guid { get; set; }
        
        // Полное имя пользователя.
        public required string FIO { get; set; }

        // Идентификатор группы, к которой принадлежит пользователь.
        public required int GroupID { get; set; }

        // Реализация сравнения для проверки равенства пользователей по их Guid
        public bool Equals(UserLocalEntity? other) => other?.Guid == Guid;
    }
}
